Bug 521851 - Review Request: perl-Nagios-Plugin-Beanstalk - Nagios plugin to observe Beanstalkd queue server
Summary: Review Request: perl-Nagios-Plugin-Beanstalk - Nagios plugin to observe Beans...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 14:21 UTC by Ruben Kerkhof
Modified: 2009-10-07 03:09 UTC (History)
3 users (show)

Fixed In Version: 0.04-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-07 03:09:12 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ruben Kerkhof 2009-09-08 14:21:07 UTC
Spec URL: http://ruben.fedorapeople.org/perl-Nagios-Plugin-Beanstalk.spec
SRPM URL: http://ruben.fedorapeople.org/perl-Nagios-Plugin-Beanstalk-0.04-1.fc11.src.rpm
Description: Nagios plugin to observe Beanstalkd queue server

Comment 1 Chris Weyl 2009-09-12 04:49:16 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=1672577

Comment 2 Jason Tibbitts 2009-09-23 03:08:51 UTC
Builds fine and rpmlint is silent.  Everything else looks fine; really the only thing I can suggest is that your %description should consist of sentences (at least one).  Not a sufficiently big deal to hold up this review, though.

* source files match upstream.  sha256sum:                                
   9df45969b9b4ca10779a6cdd72c18347060a90a61f12eecd8918c4609a2466a1  Nagios-
   Plugin-Beanstalk-0.04.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Nagios::Plugin::Beanstalk) = 0.04
   perl-Nagios-Plugin-Beanstalk = 0.04-1.fc12
  =
   /usr/bin/env
   perl(:MODULE_COMPAT_5.10.0)
   perl(Beanstalk::Client)
   perl(Nagios::Plugin)
   perl(Nagios::Plugin::Beanstalk)
   perl(base)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.07 cusr  0.00 
    csys =  0.10 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.

Comment 3 Ruben Kerkhof 2009-09-23 12:31:05 UTC
Hi Tibbs, thanks for the review.
I've clarified the description a bit.

New Package CVS Request
=======================
Package Name: perl-Nagios-Plugin-Beanstalk
Short Description: Nagios plugin to observe Beanstalkd queue server
Owners: ruben
Branches: F-11

Comment 4 Kevin Fenzi 2009-09-24 04:34:03 UTC
cvs done.

Comment 5 Jose Pedro Oliveira 2009-09-24 12:01:14 UTC
Re-opening this ticket as I've a couple of doubts about the this package.
Being this a nagios plugin 

 1) why isn't is called nagios-plugin-beanstalk
    (maybe splitting the perl module to a subpackage)

and

 2) installs its script in %{_libdir}/nagios/plugins
    (requiring the nagios-plugins package)


/jpo

Comment 6 Ruben Kerkhof 2009-09-24 13:30:58 UTC
I thought about calling it nagios-plugin-beanstalk, but it still is a perl Module, all files are perl scripts. Creating a subpackage seemed unnecessary bloat to me, especially since the main package wouldn't work without the subpackage.

As for point 2, that makes sense, I'll adjust the location.

Comment 7 Jose Pedro Oliveira 2009-09-24 14:24:35 UTC
(In reply to comment #6)
> I thought about calling it nagios-plugin-beanstalk, but it still is a perl
> Module, all files are perl scripts. Creating a subpackage seemed unnecessary
> bloat to me, especially since the main package wouldn't work without the
> subpackage.

So are several of the core nagios-plugins and they were all splited in subpackages using names in the nagios-plugins namespace.  This makes a lot easier to locate nagios-plugins (core and third-party) doing something like 

   "yum search nagios-plug"

Besides, this package main purpose is to provide a nagios plugin.

> As for point 2, that makes sense, I'll adjust the location.  

You can try this:

 %{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLSCRIPT=%{_libdir}/nagios/plugins

although this can cause problems with possible man pages.

Comment 8 Jose Pedro Oliveira 2009-09-24 15:14:05 UTC
IIRC packages can no longer be noarch when they install files under %{_libdir}
(/usr/lib | /usr/lib64).  You may need to add this to the specfile:

  # No binaries in this package
  %define debug_package %{nil}


/jpo

Comment 9 Jason Tibbitts 2009-09-24 16:45:09 UTC
We have no guidelines for nagios plugins, so the perl naming guidelines would seem to override.  Certainly worth discussing, I guess, and you are quite welcome to present some draft guidelines to the packaging committee.  The package as I reviewed it didn't violate any existing guidelines.

Comment 10 Fedora Update System 2009-09-30 15:47:29 UTC
perl-Nagios-Plugin-Beanstalk-0.04-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Nagios-Plugin-Beanstalk-0.04-3.fc11

Comment 11 Fedora Update System 2009-10-03 19:07:55 UTC
perl-Nagios-Plugin-Beanstalk-0.04-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Nagios-Plugin-Beanstalk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10208

Comment 12 Fedora Update System 2009-10-07 03:09:03 UTC
perl-Nagios-Plugin-Beanstalk-0.04-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.